VirtualBox Main API

Public Attributes | List of all members
IGuestProcess Interface Reference

Implementation of the IProcess object for processes the host has started in the guest. More...

Inheritance diagram for IGuestProcess:

## Public Attributes
readonly attribute boolean | midlDoesNotLikeEmptyInterfaces
Public Attributes inherited from IProcess
readonly attribute wstring[] | arguments
| The arguments this process is using for execution.
readonly attribute wstring[] | environment
| The initial process environment.
readonly attribute IEventSource | eventSource
| Event source for process events.
readonly attribute wstring | executablePath
| Full path of the actual executable image.
readonly attribute long | exitCode
| The exit code.
readonly attribute wstring | name
| The friendly name of this process.
readonly attribute unsigned long | PID
| The process ID (PID).
readonly attribute ProcessStatus | status
| The current process status; see ProcessStatus for more information.

## Additional Inherited Members
Public Member Functions inherited from IProcess
void | waitFor (in unsigned long waitFor, in unsigned long timeoutMS, [retval] out ProcessWaitResult reason)
| Waits for one or more events to happen.
void | waitForArray (in ProcessWaitForFlag[] waitFor, in unsigned long timeoutMS, [retval] out ProcessWaitResult reason)
| Waits for one or more events to happen.
void | read (in unsigned long handle, in unsigned long toRead, in unsigned long timeoutMS, [retval] out octet[] data)
| Reads data from a running process.
void | write (in unsigned long handle, in unsigned long flags, in octet[] data, in unsigned long timeoutMS, [retval] out unsigned long written)
| Writes data to a running process.
void | writeArray (in unsigned long handle, in ProcessInputFlag[] flags, in octet[] data, in unsigned long timeoutMS, [retval] out unsigned long written)
| Writes data to a running process.
void | terminate ()
| Terminates (kills) a running process.

## Detailed Description

Implementation of the IProcess object for processes the host has started in the guest.

Interface ID:
  `{35CF4B3F-4453-4F3E-C9B8-5686939C80B6}`

## Member Data Documentation

## ◆ midlDoesNotLikeEmptyInterfaces

readonly attribute boolean IGuestProcess::midlDoesNotLikeEmptyInterfaces